Find the answer to your Linux question:
Results 1 to 6 of 6
Hi Everyone! I am a newbie to Linux. Background : I installed Debian Linux in a partition in my PC (Pentium 2 400 mhz). It is working well but I ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Dec 2005
    Posts
    3

    Newbie Question - problem installing package


    Hi Everyone!

    I am a newbie to Linux.

    Background : I installed Debian Linux in a partition in my PC (Pentium 2 400 mhz). It is working well but I face some problems while installing packages.

    For example : I am trying to install libqt3-dev. It has lot of dependant packages. When I use aptitude and choose libqt3-dev to be installed, aptitude resolves dependencies and selects all packages OK. But when I run the install, it aborts with following messages.....

    QUOTE

    Retrieving bug reports... 0% [0/21] W: getaddrinfo: Temporary failure in name resolution: xlibmesa-gl-dev
    W: getaddrinfo: Temporary failure in name resolution: libxrandr-dev
    W: getaddrinfo: Temporary failure in name resolution: liblcms1-dev
    W: getaddrinfo: Temporary failure in name resolution: libqt3-compat-headers
    W: getaddrinfo: Temporary failure in name resolution: libxmu-dev
    W: getaddrinfo: Temporary failure in name resolution: libice-dev
    ... E: Too many errors while retrieving bug reports
    E: Sub-process if dpkg -s apt-listbugs | grep -q '^Status: .* ok installed'; then /usr/sbin/apt-listbugs apt || ( test $? -ne 10 || exit 10; echo 'Warning: apt-listbugs exited abnormally, hit enter key to continue.' 1>&2 ; read a < /dev/tty ); fi returned an error code (10)
    E: Failure running script if dpkg -s apt-listbugs | grep -q '^Status: .* ok installed'; then /usr/sbin/apt-listbugs apt || ( test $? -ne 10 || exit 10; echo 'Warning: apt-listbugs exited abnormally, hit enter key to continue.' 1>&2 ; read a < /dev/tty ); fi
    Ack! Something bad happened while installing packages. Tryin

    UNQOUTE

    It seems to be trying to retrieve bug lists for the packages... but on reaching a threshold, it stops. Is there a way to get around this?

    * I have not enabled internet connection from debian yet.

    I would appreciate any help.

    Best regards,
    raj.

  2. #2
    Linux Newbie mindblast's Avatar
    Join Date
    Nov 2005
    Location
    iasi, RO
    Posts
    132
    Use apt. As root:
    Code:
    apt-cache search package
    This will search for the package on debian servers.
    Code:
    apt-get install package
    This way you will install packages with all dependinces. You could use as:
    Code:
    apt-get install package1 package2 ...
    Code:
    man apt
    For more informations about apt

  3. #3
    Linux Newbie mindblast's Avatar
    Join Date
    Nov 2005
    Location
    iasi, RO
    Posts
    132
    Also, the packages in debian are with .deb extension. You could use dpkg for depackage .deb packages. See
    Code:
    man dpkg
    and
    Code:
    man dpkg-deb
    dpkg is used somenthing like rpm.
    Code:
    dpkg -i package.deb

  4. $spacer_open
    $spacer_close
  5. #4
    Linux Guru antidrugue's Avatar
    Join Date
    Oct 2005
    Location
    Montreal, Canada
    Posts
    3,211
    Quote Originally Posted by smtncrc
    Hi Everyone!
    * I have not enabled internet connection from debian yet.
    Thats your problem right here: no internet connection.

    If you are using Debian Sarge, apt-get never fails unless you have a connection problem.

    The file /etc/apt/sources.list refer to many internet sites to download packages.

    If you do
    Code:
    apt-get update
    I'm sure you will get errors as well.

    If you do not want to download package from the internet but only install packages from your CDs/DVDs then edit /etc/apt/sources.list accordingly.

    You can do it!
    "To express yourself in freedom, you must die to everything of yesterday. From the 'old', you derive security; from the 'new', you gain the flow."

    -Bruce Lee

  6. #5
    Just Joined!
    Join Date
    Dec 2005
    Posts
    3
    Antidrugue,

    I removed the lines referring to web sites from sources.list as you suggested. I still get the same error messages. Could this be because of damaged CD image or something? I observed while using aptitude that package downloads are OK form the CD Rom but error occurs while trying to regrieve bug list for selected packages, that too if the # of packages is > 6. Is there a way to disable this or increase the threshold form 6 to 20?

    Synaptic package manager displayed some error message like "wrong CD".

    Cheers,
    Raj.

  7. #6
    Just Joined!
    Join Date
    Dec 2005
    Posts
    3
    Got around this problem by commenting out apt-listbugs shell script which checks for return code of 10 when it does'nt find bug reports for packages.

    File name is 10apt-listbugs in directory apt.conf.d.

    use apt-config dump to check whether modification is picked up or not.

    My next step is to make my zyxel prestige 630 to work with my debian. It seems to be a very cumbersome process as per my understanding so far--- like rebuilding kernel from source....... I succeeded to build the source but dont know how to boot from the new kernel. Any tips on this regard would be much appreciated.

    Raj.........

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •